Parameters
JSON body
Request body
application/jsonfilestringRequiredbinaryBinary file payload (max 100 MB).
Default:
FileblobPathstringOptionaltagstringOptionalStores the file privately under user/{slug}/chat with tag = chat (never listed in Drive). Pass the returned token in /send attachmentTokens. Until sent, only the uploader can open it.
JSON body
filestringRequiredbinaryBinary file payload (max 100 MB).
FileblobPathstringOptionaltagstringOptional1 status code documented
tokenstringRequiredfilenamestringRequiredsizenumberRequiredcontentTypestringRequiredisImagebooleanRequiredblobTokenstringRequired{
"token": "example_token",
"filename": "example_filename",
"size": 0,
"contentType": "example_contentType",
"isImage": false,
"blobToken": "example_blobToken"
}POST /bff/team-chat/attachment-upload
curl -X POST "https://api.bizkithub.com/bff/team-chat/attachment-upload" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"file": "File",
"blobPath": "example_blobPath",
"tag": "example_tag"
}'All BizKitHub public API endpoints require authentication via API key.